// This example script shows how to use intrinsic variables

result("Starting script #9 \n")		// just a output text line
number SizeX,SizeY
image  TestImage
SizeX = 100
SizeY = 100
TestImage := RealImage("Test",4,SizeX,SizeY)
ShowImage(TestImage)

OKDialog("Create Sine in X")
TestImage = sin(2*Pi()/iwidth*icol)		// Pi() returns the value of pi.
										// icol returns the X coordinate
										// iwidht returns the width (=SizeX)

OKDialog("Create Cosine in Y")
TestImage = cos(2*Pi()/iheight*irow)	// irow returns the Y coordinate	


OKDialog("Create centered Gaussian")
TestImage = exp(-iradius**2/(iheight/10)**2)	// iradius returns the distance from the center

OKDialog("Create TAN(alpha) map")	
TestImage = tan(itheta)				// iradius returns the distance from the center
SetSurvey(TestImage,0)				// SetSurvey() turns auto-contrast limits on (1) / off (0)
SetLimits(TestImage,-5,5)			// SetLimits() sets the contrast limits (high/low limit)

OKDialog("Create grid, using TERT")	
SetSurvey(TestImage,1)
TestImage = Tert( mod(icol,10)==0 || mod(irow,10)==0,1,0)

OKDialog("Create grid in a circle, using TERT")	
TestImage = Tert( iradius<iwidth/4,icol,irow)	// The intrinsic variables can be used both
												// for the condition and the result!

OKDialog("Show icol/irow for areas of the image")
TestImage = 0									// The intrinsic variables count 0/0 in the
TestImage[10,10,50,50] = iradius				// top-left corner of the image expression
TestImage[10,60,50,90] = icol					// If image-areas are used, then the areas
TestImage[60,10,95,90] = itheta*10				// top-left corner is 0/0.
TestImage[0,10,5,80]   = iwidth/10				// iwidth is then the width of the 
TestImage[5,50,10,100] = iwidth/10				//  selection, not the image!
TestImage=0
TestImage[50,50,100,100]=iradius