// This example script shows how functions are used.
// Note that functions are defined ABOVE the main script.

number QSUM(number NUM1, number NUM2)
	{
		number NUM3						// This is a local variable. NUM3 is
										// not known outside the function!
		NUM3 = NUM1**2+NUM2**2
		NUM2 = 0						// NUM2 is also local. It only gots the
										// value of N2 from the main script.
										// Changing NUM2 does not change N2!
		return NUM3						// The return value has to be of the 
	}									// same type as the function. 
										// (number in this case)


void PrintHallo()						// The type "VOID" defines a procedure
	{									// which does not return any value.
	result("\n HALLO \n")
	return								// For procedures, the return stands alone.
	}


void PrintLine(number NUM)				// It is possible to define the same funciton(name) with different arguments
 {										// This allows "optional" paramters to be defined.
 number count
 for (count=1;count<=NUM;count++) result("\n")
 }

void PrintLine() PrintLine(2)			// This procedure has only one line. Blocks { } can therefore be omitted.



void Print1(number NUM1)					// The argument just gets the value of the passed variable.
	{	
	NUM1 = NUM1 * 10						// This will only change the internal value of NUM1
	result("Number in Print1:"+NUM1+"\n")
	}

void Print2(number &NUM1)				// The argument is now assigned to the passed variable!
	{
	NUM1 = NUM1 * 10					// This will also change the value of the passed (assigned) variable.
	result("Number in Print2:"+NUM1+"\n")
	}


void ImageManipulate(image IMG1) IMG1=0	// The image of the main program will also become zero, because images
										// are automatically passed as assigned variables not as values!
										// It therefore makes no difference to write "void ImageManipulate(image &IMG1)"

// ***********MAIN SCRIPT STARTS HERE *******************
result("Starting script #11 \n")		// just a output text line
/*
// Main Script 1
	number N1, N2
	GetNumber("Enter number",10,N1)
	N2 = QSUM(10,N1)
	Result("The quadratic sum of the two numbers is:"+N2+"\n")
	Result("The value of N1 is still:"+N1+"\n")

// Main Script 2
	PrintHallo()

// Main Script 3
	PrintLine(5)		// 5 empty lines
	result("HALLO\n")
	PrintLine()			// 2 empty lines

// Main Script 4
	N1 = 10
 	result("Number in main before function call:"+N1+"\n")
	Print1(N1)
 	result("Number in main after  function call:"+N1+"\n")
	Print2(N1)
 	result("Number in main after  function call:"+N1+"\n")

	//Note: While it is possible to call Print1 with a parameter, e.g. Print1(10), this is no longer 
	//      possible for Print2, because the argument now needs to be a variable! Print2(20) results in an error.

*/	
// Main Script 5
	image IMG,TEST2
	IMG := RealImage("Test",4,256,256)
	IMG = icol*irow
	ShowImage(IMG)
	ImageManipulate(IMG)						// Passing IMG as assigned variable! Fast, but IMG might be changed...


	TEST2 := RealImage("Test2",4,256,256)
	TEST2 = icol*irow
	ShowImage(TEST2)
	ImageManipulate(ImageClone(TEST2))			// Passing an identical copy of TEST2. TEST2 remains unchanged, but
												// more time & memory is needed. 
