// The following script shows without much explanations how to create simple
// customized dialogs and how to read those values afterwards. Much more on
// dialogs can be found in the DM help.
//		-> Scripting/Objects/Document Object Model/Dialogs/

TagGroup MyDialog
TagGroup MyDialogItems
object	 MyDialogWindow

taggroup rNUM, iNUM, STR		// These variables will contain the values (RealNumber,IntegerNumber,String)
taggroup f_rNUM, f_iNUM, f_STR	// These variables will contain the dialog-items (including a label)
taggroup f_label

// Create Dialog 
	MyDialog = DLGCreateDialog( "My Dialog Title", MyDialogItems )  
	MyDialogWindow = alloc(UIframe).Init(MyDialog)

// Create items
	f_rNUM = DLGCreateRealField("Real Number:",rNUM,0.01,10,3)		
	f_iNUM = DLGCreateIntegerField("Integer Number:",iNUM,7,10)
	f_STR  = DLGCreateStringField("String:",STR,"dummy",20)
	f_label= DLGCreateLabel("Just a label")

// Add items to dialog
	MyDialog.DLGAddElement(f_rNUM)
	MyDialog.DLGAddElement(f_iNUM)	
	MyDialog.DLGAddElement(f_STR)
	MyDialog.DLGAddElement(f_label)
	MyDialog.DLGTableLayout(2,2,0)
	
// Show the dialog
	IF (MyDialogWindow.Pose()) 	result("pressed OK\n")
	else						result("pressed CANCEL\n")

// Read the field values
   result("real number   : "+rNUM.DLGGetValue()+"\n")	// instead of using the field values directly
   result("integer number: "+iNUM.DLGGetValue()+"\n")	// you can of course also read the values into
   result("string        : "+STR.DLGGetValue()+"\n")	// variables, e.g. number myReal = rNUM.DLGGetValue()

// Set the field values
	rNUM.DLGValue(12.12)
	iNUM.DLGValue(666)
	STR.DLGValue("NEW DEFAULT")
	f_label.DLGValue("New label")

// Show dialog again!
	MyDialogWindow.Pose()
